org.deidentifier.arx.certificate.elements

## Interface Element

All Known Implementing Classes:
  ElementData, ElementList, ElementNewLine, ElementPageBreak, ElementSubtitle, ElementText, ElementTitle, ElementVerticalSpace

    public interface Element

An abstract element

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

### Method Detail

#### render

    void render(rst.pdfbox.layout.elements.Document target,
                int indent,
                CertificateStyle style)
         throws java.io.IOException

Renders the element to the given target

Parameters:
  `target` -
  `indent` -
  `style` -
Throws:
  `java.io.IOException`